Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.model.hdftypes
Class PlexOfCps

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.PlexOfCps

    public final class PlexOfCps

extends java.lang.Object

common data structure in a Word file. Contains an array of 4 byte ints in the front that relate to an array of abitrary data structures in the back. This class acts more like a pointer. In the sense that it doesn't store any data. It only provides convenience methods for accessing a particular PlexOfCps

Author:
  Ryan Ackley

Constructor Summary
`PlexOfCps(int size, int sizeOfStruct)` Constructor

Method Summary
`int` | `getIntOffset(int index)`
`int` | `getStructOffset(int index)` Returns the offset, in bytes, from the beginning if this PlexOfCps to the data structure at index.
`int` | `length()` returns the number of data structures in this PlexOfCps.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlexOfCps

    public PlexOfCps(int size,
                     int sizeOfStruct)

  Constructor

  Parameters:
    `size` - The size in bytes of this PlexOfCps
    `sizeOfStruct` - The size of the data structure type stored in this PlexOfCps.

Method Detail

### getIntOffset

    public int getIntOffset(int index)

### length

    public int length()

  returns the number of data structures in this PlexOfCps.

  Returns:
    The number of data structures in this PlexOfCps

### getStructOffset

    public int getStructOffset(int index)

  Returns the offset, in bytes, from the beginning if this PlexOfCps to the data structure at index.

  Parameters:
    `index` - The index of the data structure.
  Returns:
    The offset, in bytes, from the beginning if this PlexOfCps to the data structure at index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD